Subject: asm-offsets.c

From: Sean MacLennan <[email-masked]>
Date: Wed, 06 Feb 2008 23:43:41 -0500

I just did a git pull of Josh's tree, and 
arch/powerpc/kernel/asm-offsets.c does not compile. I have only been 
glossing over the linuxppc-dev emails, so forgive me if this already 
came up.

It looks like, at least for the Warp, CLOCK_REALTIME_RES is not defined 
so asm-offsets.c gets an error. The following patch fixes it.... but I 
am not sure it is right since I don't know if CLOCK_REALTIME_RES should 
be defined.

Cheers,
  Sean

diff --git a/arch/powerpc/kernel/asm-offsets.c b/arch/powerpc/kernel/asm-offsets
.c
index e6e4928..c1568aa 100644
--- a/arch/powerpc/kernel/asm-offsets.c
+++ b/arch/powerpc/kernel/asm-offsets.c
@@ -313,7 +313,9 @@ int main(void)
        DEFINE(CLOCK_REALTIME, CLOCK_REALTIME);
        DEFINE(CLOCK_MONOTONIC, CLOCK_MONOTONIC);
        DEFINE(NSEC_PER_SEC, NSEC_PER_SEC);
+#ifdef CLOCK_REALTIME_RES
        DEFINE(CLOCK_REALTIME_RES, (KTIME_MONOTONIC_RES).tv64);
+#endif
 
 #ifdef CONFIG_BUG
        DEFINE(BUG_ENTRY_SIZE, sizeof(struct bug_entry));